### File

`packages/components/layout/eui-toolbar/toolbar-mega-menu/toolbar-mega-menu-container.component.ts`

### Metadata

selector | `eui-toolbar-mega-menu-container`
imports | `EUI_ICON` `EUI_BADGE` `JsonPipe` `KeyValuePipe` `NgTemplateOutlet` `RouterLink` `RouterLinkActive`
templateUrl | `./toolbar-mega-menu-container.component.html`
styleUrl | `./toolbar-mega-menu-container.component.scss`

### Index

###### Properties
string
###### Methods
onItemClick
###### Inputs
activeMenu megaMenuItemsGrouped
###### HostBindings
class

### Inputs

activeMenu
Type : `number`
Default value : `null`

megaMenuItemsGrouped
Type : `literal type`

### HostBindings

class
Type : `string`
Default value : `'eui-toolbar-mega-menu-container'`

### Methods

onItemClick
`onItemClick(item: EuiMenuItem)`
Parameters :
Name | Type | Optional
item | `EuiMenuItem` | No
Returns : `void`

### Properties

string
Type : `string`
Default value : `'eui-toolbar-mega-menu-container'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""